% Demonstration of the ConTextual Self-Organizing Map package
% Copyright (C) 2009 Xiaowei Zhao

% Make sure your working folder is C:\CTM_pack\

  disp(' ');
  disp(' Welcome to the demonstration of the ConTextual Self-Organizing Map Package');
  disp(' Please make sure your working folder is the CTM_pak directory,');
  disp(' also add the directory into your MatLab search parth.');
  disp(' ');
  disp(' Are you ready? If so please press the space bar to continue');
  disp(' ' );
  pause;
  addpath(genpath('c:/CTM_pack'));
  savepath;
  disp(' ');
  disp(' Step 1, we need to use Cooccur_ function to generate the');
  disp(' transitional probabilities among words in a corpus.');
  disp(' ');
  disp(' Usage:  Cooccur_ cfg\cooccur.cfg ');
  disp(' ');
  disp(' All simulation parameters are read from the configuration ');
  disp(' file cooccur.cfg under the subfolder cfg\ .');  
  disp(' ');
  disp(' Are you ready? If so please press the space bar to continue');
  disp(' ' );
  pause;
  Cooccur_ cfg\cooccur.cfg;
  disp(' ');
  disp(' ');
  disp(' ');
  disp(' Step 2, we need to use Contextual_ function to generate the');
  disp(' semantic representations of words based on transitional ');
  disp(' probabilities matrix we get from step 1. ');
  disp(' ');
  disp(' Usage:  Contextual_ cfg\contextual.cfg ');
  disp(' ');
  disp(' All simulation parameters are read from the configuration ');
  disp(' file contextual.cfg under the subfolder cfg\ .'); 
  disp(' ');
  disp(' Are you ready? If so please press the space bar to continue');
  disp(' ' );
  pause;
  Contextual_ cfg\contextual.cfg;
  disp(' ');
  disp(' Step 3, Use a Batch self-organizing Map to test the validity');
  disp(' of the semantic representation we get from step 2. ');
  disp(' ');
  disp(' Usage:  batch_context ');
  disp(' ');
  disp(' Please note: You may need to adjust the training parameters ');
  disp(' inside the file batch_context.m to best fit your own data. ');
  disp(' A rule of thumb: increase your map size when you have more words to train');
  disp(' ');
  disp(' Are you ready? If so please press the space bar to continue');
  disp(' ' );
  pause;
  batch_context;
  disp(' ' );  
  disp(' Well done! You have finished the demonstration');
  
  
  